#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Author : LeiXueWei
# @CSDN/Juejin/Wechat: 雷学委
# @PypiSeedTag: Main
# @File : main.py
# @Project : text-to-gif


"""
generated by PypiSeed(PPC) - Main Program
"""
import argparse

from text_to_gif.text2gif import text2gif


def main():
    parser = argparse.ArgumentParser(
        description="Please provide parameter to call t2g(text-to-gif)")
    parser.add_argument('--path', '-p', default="userInput.txt", help="tell t2g where is the (long)text file path")
    parser.add_argument('--destination', '-d', default="text2gif.gif", help="tell t2g where to store the output gif")
    parser.add_argument('--frame', '-f', default=3, type=int,
                        help="tell t2g how many frame to structure the long text into multi-frame in output gif")
    parser.add_argument('--verbose', '-v', action='store_const', const=True, help="show more verbose info(optional)")
    args = parser.parse_args()
    long_text_path = args.path
    frame_size = args.frame
    if frame_size <= 0:
        print("Invalid frame size(should be at least 1 or more.")
        return
    dest = args.destination
    verbose = args.verbose
    if verbose is None:
        verbose = False
    text2gif(long_text_path, frame_size, dest, verbose)


if __name__ == '__main__':
    main()
